{% load static %}
<head>
<link rel="stylesheet" href="{% static 'todosApp/style.css' %}">
<script src="https://unpkg.com/vue@3/dist/vue.global.prod.js"></script>
<title>To-dos App</title>
<link rel="icon" type="image/x-icon" href="{% static 'todosApp/imgs/favicon.ico' %}">
</head>

<body>
<div id="app">
    <h1 id="title">To-dos Web Application</h1>
    <div id="filter">
        <span>Filter by:</span>
        <input type="radio" name="todoFilter" id="all" checked="checked" @click="showAll()">
        <label for="all">All</label>
        <input type="radio" name="todoFilter" id="completed" @click="showAllComplete()">
        <label for="completed">Completed</label>
        <input type="radio" name="todoFilter" id="pending" @click="showAllPending()">
        <label for="pending">Pending</label>
    </div>
    <br>

    <div id="todoDiv">
        <div v-for="todo in todos">
            <div :class="{ completed: todo.isChecked, pending: !todo.isChecked, visibleTodos: isToShow(todo), hiddenTodos: !isToShow(todo) }">
                <div id="todoDivInternal">
                    <input type="checkbox" @click="toggle(todo)" :checked="todo.isChecked" id="chkbx"></input>
                    <div id="todoMessage">
                        <span>[[todo.message]]</span>
                    </div>
                    <button @click="removeTodo(todo)" id="removeBtn" class="btn"><img src="{% static 'todosApp/imgs/delete.gif' %}" alt="Delete" id="deleteImg"></button>
                    <button @click="showPopup('Modify Your to-do:', todo)" id="editBtn" class="btn"><img src="{% static 'todosApp/imgs/edit.gif' %}" alt="Edit" id="editImg"></button>
                </div>
            </div>
        </div>
    </div>
    <div id="addDiv">
        <button class="btn" id="addTodo" @click="showPopup('Add a new to-do:')">+</button>
    </div>
    <p id="saveIndicator">[[saved]]</p>
    <div class="popupHidden" id="popupDiv">
        <div class="popupContent">
        <span id="inputMessage"></span>
            <input type="text" id="inputTodo">
            <div class="popupButtons">
                <button @click="closePopup(true, [[todoEditing]])" class="btn" id="save">Save</button>
                <button @click="closePopup(false)" class="btn">Cancel</button>
            </div>
        </div>
    </div>
</div>
{% csrf_token %}
<script src="{% static 'todosApp/todos.js' %}"></script>
</body>
